Get DM History
curl --request POST \
--url https://api.twexapi.io/twitter/dm-history \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"username": "myusername",
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"max_id": "1234567890123456789",
"proxy": "http://username:password@ip:port"
}
'import requests
url = "https://api.twexapi.io/twitter/dm-history"
payload = {
"username": "myusername",
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"max_id": "1234567890123456789",
"proxy": "http://username:password@ip:port"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
username: 'myusername',
cookie: 'ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7',
max_id: '1234567890123456789',
proxy: 'http://username:password@ip:port'
})
};
fetch('https://api.twexapi.io/twitter/dm-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"msg": "success",
"data": [
{
"attachment": {
"type": "image",
"url": "https://example.com/image.jpg"
},
"id": "1234567890123456789",
"text": "Hello, how are you?",
"time": "2024-01-01T12:00:00Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}DM Endpoints
Get DM History
Get DM history
POST
/
twitter
/
dm-history
Get DM History
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Parameters for getting DM history
Twitter username to get DM history for
Example:
"myusername"
Twitter authentication cookie or Twitter auth_token, how-to-get-twitter-cookie
Example:
"ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7"
Max ID
Example:
"1234567890123456789"
The proxy to use.Please use high-quality residential proxies and avoid free proxies.Required.Example: http://username:password@ip:port [blocked] . You can get proxy from: https://app.proxy-cheap.com/r/qiMxub
Example:
"http://username:password@ip:port"
Response
A list of message objects.
Response for getting DM history
Response code
Example:
200
Message sent
Example:
"success"
List of message objects
Show child attributes
Show child attributes
Example:
[
{
"attachment": {
"type": "image",
"url": "https://example.com/image.jpg"
},
"id": "1234567890123456789",
"text": "Hello, how are you?",
"time": "2024-01-01T12:00:00Z"
}
]
⌘I